Gocator API

- Home
- Categories
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Groups Pages
Public Member Functions
GoSurfaceMsg Class Reference
Data Channel

## Description

Represents a data message containing a surface array.

Inheritance diagram for GoSurfaceMsg:

## Public Member Functions
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k32u | GoSurfaceMsg_Exposure (GoSurfaceMsg msg)
| Gets the exposure. More...
kSize | GoSurfaceMsg_Length (GoSurfaceMsg msg)
| Gets the length of the surface (row count). More...
k16s * | GoSurfaceMsg_RowAt (GoSurfaceMsg msg, kSize index)
| Gets a pointer to a surface row. More...
GoDataSource | GoSurfaceMsg_Source (GoSurfaceMsg msg)
| Gets the profile source. More...
k32u | GoSurfaceMsg_SurfaceId (GoSurfaceMsg msg)
| Gets the surface ID. More...
kSize | GoSurfaceMsg_Width (GoSurfaceMsg msg)
| Gets the width of the surface (column count). More...
k32s | GoSurfaceMsg_XOffset (GoSurfaceMsg msg)
| Gets the surface x-offset, in micrometers. More...
k32u | GoSurfaceMsg_XResolution (GoSurfaceMsg msg)
| Gets the surface x-resolution, in nanometers. More...
k32s | GoSurfaceMsg_YOffset (GoSurfaceMsg msg)
| Gets the surface y-offset, in micrometers. More...
k32u | GoSurfaceMsg_YResolution (GoSurfaceMsg msg)
| Gets the surface y-resolution, in nanometers. More...
k32s | GoSurfaceMsg_ZOffset (GoSurfaceMsg msg)
| Gets the surface z-offset, in micrometers. More...
k32u | GoSurfaceMsg_ZResolution (GoSurfaceMsg msg)
| Gets the surface z-resolution, in nanometers. More...

## Member Function Documentation

GoDataMessageType GoDataMsg_Type | ( | GoDataMsg | message | ) |
| inherited

Returns the message type for a data channel message given in a GoDataSet.

Parameters

  message | A data channel message.

Returns
  A GoDataMessageType value.

k32u GoSurfaceMsg_Exposure | ( | GoSurfaceMsg | msg | ) |

Gets the exposure.

Parameters

  msg | Message object.

Returns
  Exposure in uS.

kSize GoSurfaceMsg_Length | ( | GoSurfaceMsg | msg | ) |

Gets the length of the surface (row count).

Parameters

  msg | Message object.

Returns
  Surface length.

k16s * GoSurfaceMsg_RowAt | ( | GoSurfaceMsg | msg,
|  | kSize | index
| ) |  |

Gets a pointer to a surface row.

Parameters

  msg | Message object.
  index | Surface row index.

Returns
  Row pointer.

GoDataSource GoSurfaceMsg_Source | ( | GoSurfaceMsg | msg | ) |

Gets the profile source.

Parameters

  msg | Message object.

Returns
  Profile source.

k32u GoSurfaceMsg_SurfaceId | ( | GoSurfaceMsg | msg | ) |

Gets the surface ID.

Parameters

  msg | Message object.

Returns
  Surface ID.

kSize GoSurfaceMsg_Width | ( | GoSurfaceMsg | msg | ) |

Gets the width of the surface (column count).

Parameters

  msg | Message object.

Returns
  Surface width;

k32s GoSurfaceMsg_XOffset | ( | GoSurfaceMsg | msg | ) |

Gets the surface x-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  X offset (um).

k32u GoSurfaceMsg_XResolution | ( | GoSurfaceMsg | msg | ) |

Gets the surface x-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  X resolution (nm).

k32s GoSurfaceMsg_YOffset | ( | GoSurfaceMsg | msg | ) |

Gets the surface y-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  Y offset (um).

k32u GoSurfaceMsg_YResolution | ( | GoSurfaceMsg | msg | ) |

Gets the surface y-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  Y resolution (nm).

k32s GoSurfaceMsg_ZOffset | ( | GoSurfaceMsg | msg | ) |

Gets the surface z-offset, in micrometers.

Parameters

  msg | Message object.

Returns
  Z offset (um).

k32u GoSurfaceMsg_ZResolution | ( | GoSurfaceMsg | msg | ) |

Gets the surface z-resolution, in nanometers.

Parameters

  msg | Message object.

Returns
  Z resolution (nm).

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h